ViennaCL - The Vienna Computing Library: viennacl::device_specific::tree_parsing::evaluate_expression_traversal Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::device_specific::tree_parsing::evaluate_expression_traversal Class Reference

functor for generating the expression string from a statement More...

`#include <tree_parsing.hpp>`

Inheritance diagram for viennacl::device_specific::tree_parsing::evaluate_expression_traversal:

## Public Member Functions
| evaluate_expression_traversal (std::map< std::string, std::string > const &accessors, std::string &str, mapping_type const &mapping)
void | call_before_expansion (scheduler::statement const &statement, vcl_size_t root_idx) const
void | call_after_expansion (scheduler::statement const &, vcl_size_t) const
void | operator() (scheduler::statement const &statement, vcl_size_t root_idx, leaf_t leaf) const
Public Member Functions inherited from viennacl::device_specific::tree_parsing::traversal_functor
void | call_before_expansion (scheduler::statement const &, vcl_size_t) const
void | call_after_expansion (scheduler::statement const &, vcl_size_t) const

## Detailed Description

functor for generating the expression string from a statement

Definition at line 238 of file tree_parsing.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::tree_parsing::evaluate_expression_traversal::evaluate_expression_traversal | ( | std::map< std::string, std::string > const & | accessors,
|  | std::string & | str,
|  | mapping_type const & | mapping
| ) |  |
| inline

Definition at line 246 of file tree_parsing.hpp.

## Member Function Documentation

void viennacl::device_specific::tree_parsing::evaluate_expression_traversal::call_after_expansion | ( | scheduler::statement const & | ,
|  | vcl_size_t |
| ) |  | const
| inline

Definition at line 258 of file tree_parsing.hpp.

void viennacl::device_specific::tree_parsing::evaluate_expression_traversal::call_before_expansion | ( | scheduler::statement const & | statement,
|  | vcl_size_t | root_idx
| ) |  | const
| inline

Definition at line 248 of file tree_parsing.hpp.

void viennacl::device_specific::tree_parsing::evaluate_expression_traversal::operator() | ( | scheduler::statement const & | statement,
|  | vcl_size_t | root_idx,
|  | leaf_t | leaf
| ) |  | const
| inline

Definition at line 263 of file tree_parsing.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/tree_parsing.hpp